Get Single MMS template

GET https://mmsc.tsgglobal.world/mms/templates/:id

Returns a single template by ID.

Example response

{
  "data": {
    "attributes": {
      "name": "visit-thank-you",
      "parts": [
        {
          "metadata": {},
          "uri": "https://content-mms.staging.smshub.world/templates/491aa990-1fbb-4058-8af0-c78049010d2f/attachments/1-brochure.txt",
          "headers": {},
          "content_type": "text/plain",
          "content_location": "brochure.txt"
        },
        {
          "metadata": {},
          "uri": "https://content-mms.staging.smshub.world/templates/491aa990-1fbb-4058-8af0-c78049010d2f/attachments/2-unnamed-1.png",
          "headers": {},
          "content_type": "image/png",
          "content_location": "unnamed-1.png"
        }
      ],
      "inserted_at": "2026-03-20T19:53:02.165449",
      "updated_at": "2026-03-20T19:53:02.165449",
      "placeholders": [
        "name",
        "company"
      ],
      "body_template": "Dear {name}, welcome to {company}.",
      "subject_template": "Hello {name}"
    },
    "id": "491aa990-1fbb-4058-8af0-c78049010d2f",
    "type": "mms-template"
  }
}

Last updated

Was this helpful?